Subject: Re: [PATCH 0/2] Build catch2@3 with CMake and update to 3.3.2

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 01 Jul 2023 12:41:12 +0200

Am Mittwoch, dem 28.06.2023 um 16:50 +0000 schrieb David Elsing:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Sonntag, dem 25.06.2023 um 10:01 +0000 schrieb David Elsing:
> > > Thanks for your comments, here are the updated patches. I removed
> > > the
> > > cmake-static package as I also don't have any need for it.
> > Thanks for the updates.  I do have some minor changes for the
> > synopses and descriptions, but nothing major.  I'll push them once
> > CI lights green or next weekend :)
> Ok, thanks!
> On armhf-linux, there is an error (warning) from -Werror=cast-align
> because an unsigned char* is cast to std::string*, but this is fine
> because the unsigned char array it points to is declared with
> alignas. I accidentally set -DENABLE_WERROR=OFF instead of
> -DCATCH_ENABLE_WERROR=OFF, but now the build succeeds.
Pushed and followed up with a commit that does that.

Cheers